Skip to main content
`Ctrl`+`K`

# DMReorderSectionSetType

Set the type of local section reordering

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMReorderSectionSetType(DM dm, MatOrderingType reorder)

Logically collective

## Input Parameters

- dm - The DM

- reorder - The reordering method

## See Also

`DMReorderSectionGetType()`, `DMReorderSectionSetDefault()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Implementations

DMReorderSectionSetType_Plex() in src/dm/impls/plex/plexreorder.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages